function Get-MissingFiles
{
    [CmdletBinding()]
    [OutputType([string[]])]
    Param (
        [Parameter(Mandatory = $true)][string]$Folder,
        [Parameter(Mandatory = $false)][string[]]$Files = @()
    )

    $missingFiles = @()
    # Test all the files.
    foreach ($file in $Files) {
        # Concat file path.
        $fullPath = Join-Path -Path $Folder -ChildPath $file
        # Test if file exists.
        $found = Test-Path -Path $fullPath -PathType 'Leaf'
        if (!$found) {
            $missingFiles += $fullPath
        }
    }
    
    return $missingFiles
}